Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class DoNotCacheCondition

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.Condition
oracle.security.xmlsec.saml.DoNotCacheCondition`

public class DoNotCacheCondition
extends Condition

The SAML DoNotCacheCondition element which extends the abstract Condition element specifies that the assertion should not be cached by the relying party for future user.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`DoNotCacheCondition(org.w3c.dom.Document owner)` Creates a new `DoNotCacheCondition` instance within the given Document.
`DoNotCacheCondition(org.w3c.dom.Element element)` Creates a new `DoNotCacheCondition` instance from the given Element node.
`DoNotCacheCondition(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `DoNotCacheCondition` instance from the given Element node.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoNotCacheCondition

    public DoNotCacheCondition(org.w3c.dom.Element element)
                        throws org.w3c.dom.DOMException

  Creates a new `DoNotCacheCondition` instance from the given Element node.
Parameters:
  `element` - An DoNotCacheCondition element.

### DoNotCacheCondition

    public DoNotCacheCondition(org.w3c.dom.Element element,
                               java.lang.String SystemId)
                        throws org.w3c.dom.DOMException

  Creates a new `DoNotCacheCondition` instance from the given Element node.
Parameters:
  `element` - An DoNotCacheCondition element.

### DoNotCacheCondition

    public DoNotCacheCondition(org.w3c.dom.Document owner)
                        throws org.w3c.dom.DOMException

  Creates a new `DoNotCacheCondition` instance within the given Document.
Parameters:
  `owner` - The owner document of the new DoNotCacheCondition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.